Andy - Quickly generate skeletons of websites
=============================================

There are endless tools around to generate web apps and projects. A lot of frameworks ship with their own,
like Rails, Grails, Django et al. Then there's Maven. Then there are tools like Middleman, or Monk. But what 
if all I want to do is put a bit of a skeleton of a website in place, with the exact libraries I typically use?

This is where Andy comes in. Andy is a Ruby gem, but it's not a Ruby-centric project. It works by pouring pints.

What's a 'pint'?
----------------

A 'pint' is the instructions for generating your starter site. At the most basic, it's a set of files to be copied in to your new project directory. In fact, at time of writing, that's **all** a pint is. Hooks to build
more complex pints will follow in time, but for now, a pint is a set of static files that get copied in to a new project dir for you.

How do I use it?
----------------

You need git. Andy does everything with git. If you don't have git, go get [git](http://git-scm.com/).

Install using 

```gem install andy```

Now, navigate to a folder, and type
```andy my_new_project```

You should see a bit of gumf, whilst Andy configures himself, and grabs the basic pint sources. Then you'll find
a folder called my_new_project, which has an index.html, a css directory with Eric Meyer's CSS reset in it, and a JS directory, with nothing in it.

You could also do 

```andy my_new_project basic```

Or, replace *basic* with the name of your chosen pint. Andy ships with the following pints:

* basic - uber-barebones
* skeleton - based on the [Skeleton](http://getskeleton) framework
* homer - based on my [Homer](http://homer-app.herokuapp.com) toolkit


Ok, I'll bite: why 'Andy', and why 'Pint'?
------------------------------------------

[Andy Capp](http://en.wikipedia.org/wiki/Andy_Capp) is a cartoon character who drinks 'pints'. I had 'chef recipes' in mind when I was thkinking about what to call them.

