#$LOAD_PATH.unshift(File.dirname(__FILE__) + '/../../../lib/')
require 'aruba/cucumber'
require 'aruba/in_process'
require 'andy_thor'
require 'andy/api/list'
require 'andy/cli/list_cli'
require 'andy/config'
require 'pathname'
require 'vcr'
require 'webmock'

andy_home = Pathname.new(File.join(Dir.getwd, 'spec', 'support', 'user_home', 'andy_home')).cleanpath
#ENV['HOME'] = Pathname.new(File.join(Dir.getwd, 'spec', 'support', 'user_home')).cleanpath.to_s
ENV['ANDY_HOME'] = andy_home.to_s
puts "ANDY HOME #{ENV['ANDY_HOME']}"

VCR.configure do |c|
  c.hook_into :webmock
  c.cassette_library_dir     = 'features_new/cassettes'
  c.default_cassette_options = { :record => :new_episodes }
end

VCR.cucumber_tags do |t|
  t.tag  '@vcr', :use_scenario_name => true
end

class VcrFriendlyMain
  def initialize(argv, stdin, stdout, stderr, kernel)
    @argv, @stdin, @stdout, @stderr, @kernel = argv, stdin, stdout, stderr, kernel
  end

  def execute!
    ENV['ANDY_HOME'] = ENV['ANDY_HOME'] || "#{ENV['HOME']}/.andy"
    $stdin = @stdin
    $stdout = @stdout
    Andy::CLI.start(@argv)
  end
end

Before('@vcr') do
  Aruba::InProcess.main_class = VcrFriendlyMain
  Aruba.process = Aruba::InProcess
end

After('@vcr') do
  Aruba.process = Aruba::SpawnProcess
  VCR.eject_cassette
end