require 'spec_helper'

describe "Installs API" do

	before :all do
	    @root = ENV['WORK_DIR']
		Dir::mkdir @root
	end	

	before :each do
		config = Andy::Config.new
		@install = Andy::Api::Install.new(config)
	end

	after :all do
		FileUtils.rm_r ENV['WORK_DIR']
	end

	it "Should install a pint" do
	    @install.install('basic', 'My test project', 'test', @root)
	    project_dir = File.join(@root, 'test')
	    File.directory?(project_dir).should eq true
	    File.exist?(File.join(project_dir, 'index.html')).should be_true
	    File.exist?(File.join(project_dir, 'css', 'core.css')).should be_true
	    File.exist?(File.join(project_dir, 'js', 'app.js')).should be_true
	    File.exist?(File.join(project_dir, 'img', 'favicon.ico')).should be_true
	end


end