require 'spec_helper'

describe "Configuration" do

	before :each do
		@config = Andy::Config.new
	end

	it "should know where ANDY_HOME is" do
		expected_andy_home = ENV['ANDY_HOME']
		@config.home.should eq expected_andy_home
	end

	it "should know where it's pints are" do
		expected_pint_home = File.join(ENV['ANDY_HOME'], 'pints')
		@config.pint_home.should eq expected_pint_home
	end

	it "should load all pint metadata" do
		pints = @config.pints.sort { |x,y| x.name <=> y.name }
		pints.length.should be 2
		pints[0].name.should eq 'basic'
		pints[1].name.should eq 'jquery-basic'
	end

	it "should return the correct pint by name" do
		pint = @config.get_pint 'basic'
		pint.should_not be nil
		pint.name.should eq 'basic'
	end

end