require 'spec_helper'

describe "The pint metadata object" do

	before :each do
		@pint_path = File.join(ENV['ANDY_HOME'], 'pints', 'basic_web')
		@pint = Andy::Pint.new(@pint_path)
	end

	it "should tell me its name" do
		@pint.name.should eq 'basic'
	end

	it "should tell me its long name" do
		@pint.long_name.should eq 'Basic web site'
	end

	it "should tell me its description" do
		@pint.description.should eq "Static HTML with CSS and JavaScript"
	end

	it "should tell me its version" do
		@pint.version.should eq 1.0
	end

	it "should tell me its author" do
		@pint.author.should eq "George McIntosh <george@georgemcintosh.com>"
	end

	it "should tell me its remote location" do
		@pint.remote.should eq "git@github.com:georgecodes/basic-web-pint.git"
	end

	it "should list all of the files in the pint" do
	end

    it "should tell me its location" do
    	@pint.location.should eq @pint_path
    end

	it "should list all of the generated files, as they will end up in the generated project" do
		expected_files = ['index.html', 'css/core.css', 'js/app.js', 'img/favicon.ico'].sort
		files = @pint.generated_files.sort
		files.should eq expected_files
	end

	it "should list all of the source files, which will be used to generate the project" do
		expected_files = ['index.html.erb', 'css/core.css.erb', 'js/app.js.erb', 'img/favicon.ico'].sort
		files = @pint.source_files.sort
		files.should eq expected_files
	end

	it "should raise an error if the pint doesn't exist" do
		expect {Andy::Pint.new('does/not/exist') }.to raise_error Andy::UnknownPintException
	end
	
end